## recommonmark 0.4.0%2Bds

=== debian/changelog ===
recommonmark (0.4.0+ds-5) unstable; urgency=medium

  * Serious bug fix release (Closes: #917513).
  * Debianization:
    - debian/control:
      - Breaks/Replaces fields, add to manage transition.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Dec 2018 07:37:50 +0000

recommonmark (0.4.0+ds-4) unstable; urgency=medium

  * Serious bug fix release (Closes: #917378).
  * Debianization:
    - debian/control:
      - Breaks/Replaces fields, add to manage transition;
    - debian/python3-recommonmark.manpages, rename to
    - debian/recommonmark-scripts.manpages.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 27 Dec 2018 08:57:19 +0000

recommonmark (0.4.0+ds-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Jerome Benoit ]
  * d/control: Dump debhelper to 11
  * d/control: Dump Standards-Version to 4.3.0
  * d/control: Remove empty Build-Depends field
  * d/control: Dump recommonmark-scripts to Python 3
  * d/rules: Include pkg-info.mk
  * d/rules: Remove get-orig-source target
  * d/rules: Correct typo in manpages (ad hoc)
  * d/copyright: Refresh year-tuples
  * d/copyright: Add full text for License CC-BY-SA-4.0
  * d/a/d/spec.txt: Correct typo
  * d/t/compose-examples: Dump debhelper to 11

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Dec 2018 14:24:33 +0000

recommonmark (0.4.0+ds-2) unstable; urgency=medium

  * debian/tests fix release.
  * Debianization:
    - debian/control:
      - Depends fields, add python-pkg-resources.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 16 Oct 2016 01:50:59 +0000

recommonmark (0.4.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #838987).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 04 Oct 2016 00:37:01 +0000

=== debian/tests/control ===
Test-Command: python /usr/bin/cm2html /usr/share/doc/python-recommonmark/examples/jgm/README.md $AUTOPKGTEST_TMP/README.html
Depends: python-recommonmark, recommonmark-scripts, python-recommonmark-doc

Test-Command: python3 /usr/bin/cm2html /usr/share/doc/python-recommonmark/examples/jgm/README.md $AUTOPKGTEST_TMP/README.html
Depends: python3-recommonmark, recommonmark-scripts, python-recommonmark-doc

Tests: compose-examples
Depends: recommonmark-scripts, python-recommonmark-doc, texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-xetex

## recommonmark 0.6.0+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Recommonmark.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Recommonmark.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Recommonmark"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Recommonmark"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## recommonmark 0.4.0+ds

=== debian/changelog ===
recommonmark (0.4.0+ds-2~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial to enable backporting llvm-toolchain-8

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 02 Dec 2019 12:53:25 +0100

=== debian/control ===
Source: recommonmark
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
Build-Depends-Indep:
 debhelper (>= 9),
 help2man,
 dh-python,
 python-all,
 python-setuptools,
 python-pkg-resources,
 python-commonmark-bkrs,
 python-docutils,
 python3-all,
 python3-setuptools,
 python3-pkg-resources,
 python3-commonmark-bkrs,
 python3-docutils
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Homepage: https://pypi.python.org/pypi/recommonmark
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/recommonmark.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/recommonmark.git

Package: python-recommonmark
Architecture: all
Depends: python-commonmark-bkrs, python-pkg-resources, ${python:Depends}, ${misc:Depends}
Description: CommonMark utility for Docutils and Sphinx projects -- Python
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This package installs the library for Python 2.

Package: python3-recommonmark
Architecture: all
Depends: python3-commonmark-bkrs, python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
Description: CommonMark utility for Docutils and Sphinx projects -- Python 3
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This package installs the library for Python 3.

Package: recommonmark-scripts
Section: text
Architecture: all
Depends: python-recommonmark (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: CommonMark utility for Docutils and Sphinx projects -- scripts
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This package installs the scripts.

Package: python-recommonmark-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends:
 recommonmark-scripts (= ${binary:Version}),
 texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-xetex
Description: CommonMark utility for Docutils and Sphinx projects -- doc
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/recommonmark/recommonmark-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## recommonmark 0.6.0+ds

=== debian/changelog ===
recommonmark (0.6.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Jonathan Carter ]
  * Merge MR#1 from salsa extending the package description.

  [ Dmitry Shachnev ]
  * Exclude tests/{__init__.pyc,__pycache__} from the repacked tarball.
  * Add upstream signing key (debian/upstream/signing-key.asc).
  * New upstream release (closes: #955180).
  * Switch from python3-commonmark-bkrs to python3-commonmark.
    - Drop debianization.patch, no longer needed.
  * Add python3-sphinx to Build-Depends-Indep.
  * Add two patches to make the tests pass with Sphinx 3.x.
  * Make the autopkgtests pass:
    - Fix external references in examples/jgm/README.md.
    - Allow stderr output because of UserWarnings emitted.
  * Properly capitalize LaTeX in package description (thanks Lintian).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 19 Aug 2020 20:22:58 +0300

recommonmark (0.4.0+ds-6) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Aug 2019 01:13:28 +0500

=== debian/control ===
Source: recommonmark
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper-compat (= 11),
Build-Depends-Indep:
 help2man,
 dh-python,
 python3-all,
 python3-commonmark (>= 0.8.1),
 python3-docutils,
 python3-pkg-resources,
 python3-setuptools,
 python3-sphinx (>= 1.3.1)
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/recommonmark
Vcs-Git: https://salsa.debian.org/python-team/modules/recommonmark.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/recommonmark

Package: python3-recommonmark
Architecture: all
Depends:
 python3-commonmark (>= 0.8.1),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends}
Breaks: python-recommonmark (<< 0.4.0+ds-3)
Replaces: python-recommonmark (<< 0.4.0+ds-3)
Description: CommonMark utility for Docutils and Sphinx projects -- Python 3
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This package installs the library for Python 3.

Package: recommonmark-scripts
Section: text
Architecture: all
Depends: python3-recommonmark (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
Breaks: python-recommonmark (<< 0.4.0+ds-3), python3-recommonmark (<< 0.4.0+ds-5)
Replaces: python-recommonmark (<< 0.4.0+ds-3), python3-recommonmark (<< 0.4.0+ds-5)
Description: CommonMark utility for Docutils and Sphinx projects -- scripts
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This package installs various scripts to convert markdown to other formats
 (e.g. HTML, man, LaTeX).

Package: python-recommonmark-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends:
 recommonmark-scripts (= ${binary:Version}),
 texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-xetex
Description: CommonMark utility for Docutils and Sphinx projects -- doc
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

DEB_CM2ANYTHING_LISTOF_ANYTHING = latex xetex html pseudoxml xml man

H2MFLAGS = \
	--manual="recommonmark Python package" \
	--source="recommonmark (Debian $(DEB_VERSION))" \
	--version-string="$(DEB_VERSION)" \
	--no-info

export PYBUILD_AFTER_INSTALL = \
	mkdir -p {destdir}/usr/share/man/man1 ;\
	$(foreach ANYTHING,$(DEB_CM2ANYTHING_LISTOF_ANYTHING), \
		$(call adhoc_pybuild_after_install_h2m_do,$(ANYTHING)) ;\
		)

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress-indep:
	dh_compress -Xexamples

override_dh_installdocs:
	dh_installdocs -ppython-recommonmark-doc --doc-main-package=python3-recommonmark
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-recommonmark-doc --doc-main-package=python3-recommonmark
	dh_installexamples --remaining-packages

##################################################################################
## ad hoc machinery

cm2latex_DESCRIPTION =     "convert CommonMark file to LaTeX source"
cm2xetex_DESCRIPTION =     "convert CommonMark file to XeTeX source"
cm2html_DESCRIPTION =      "convert CommonMark file to HTML document"
cm2pseudoxml_DESCRIPTION = "convert CommonMark file to pseudo-XML document"
cm2xml_DESCRIPTION =       "convert CommonMark file to XML document"
cm2man_DESCRIPTION =       "convert CommonMark file to man page"

## parameter: ANYTHING
adhoc_pybuild_after_install_h2m_do = \
	LC_ALL=C PYTHONPATH={build_dir}:. help2man $(H2MFLAGS) -s 1 \
			-I debian/man/cm2a.h2m \
			-n $(cm2$(1)_DESCRIPTION) \
			-o {destdir}/usr/share/man/man1/cm2$(1).1 \
		debian/adhoc/wrappers/cm2$(1) ; \
	sed -i -e 's|possibile|possible|g' {destdir}/usr/share/man/man1/cm2$(1).1

##################################################################################

=== debian/tests/control ===
Test-Command: python3 /usr/bin/cm2html /usr/share/doc/python3-recommonmark/examples/jgm/README.md $AUTOPKGTEST_TMP/README.html
Depends: python3-recommonmark, recommonmark-scripts, python-recommonmark-doc
Restrictions: allow-stderr

Tests: compose-examples
Depends: recommonmark-scripts, python-recommonmark-doc, texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-xetex
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/recommonmark/recommonmark-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## recommonmark 0.7.1+ds

=== debian/changelog ===
recommonmark (0.7.1+ds-8) unstable; urgency=medium

  * Team upload.

  [ Hilmar Preuße ]
  * Add lmodern as Dep to test suite (Closes: #1093682).

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * cme fix dpkg-control

 -- Hilmar Preuße <hille42@debian.org>  Tue, 11 Feb 2025 09:52:46 +0100

recommonmark (0.7.1+ds-7) unstable; urgency=medium

  * Team upload.
  * Drop extraneous dependency on python3-pkg-resources (Closes: #1083739)
  * Fix SyntaxWarning (Closes: #1092145, #1084937)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 00:24:58 +0100

recommonmark (0.7.1+ds-6) unstable; urgency=medium

  * Team upload.
  * Fix tests with Sphinx 7.2 (closes: #1057939).

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2025 00:44:35 +0000

recommonmark (0.7.1+ds-5) unstable; urgency=medium

  * Team upload.
  * Adopt test to new sphinx version (Closes: #1030424)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 04 Feb 2023 10:20:38 +0100

recommonmark (0.7.1+ds-4) unstable; urgency=medium

  * Team upload.
  * Add patch for Sphinx 5 (Closes: #1013385)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2022 13:45:10 +0100

recommonmark (0.7.1+ds-3) unstable; urgency=medium

  * Debianization:
    - d/{rules,adhoc/wrappers/cm2a}, clean up manpage machinery.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 04 Dec 2022 14:51:07 +0000

recommonmark (0.7.1+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:10:26 +0100

recommonmark (0.7.1+ds-1) unstable; urgency=medium

  * New upstream minor version (closes: #993074).
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/control:
      - Standards-Version, bump to 4.6.1 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 May 2022 21:30:18 +0000

recommonmark (0.6.0+ds-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-recommonmark-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 11 to 13.
  * Remove overrides for lintian tags that are no longer supported.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.
    + python3-recommonmark: Drop versioned constraint on python-recommonmark in
      Replaces.
    + python3-recommonmark: Drop versioned constraint on python-recommonmark in
      Breaks.
    + recommonmark-scripts: Drop versioned constraint on python-recommonmark and
      python3-recommonmark in Replaces.
    + recommonmark-scripts: Drop versioned constraint on python-recommonmark and
      python3-recommonmark in Breaks.

  [ Jerome Benoit ]
  * d/{control,copyright}, {Homepage,Source} field migrate to github
    (closes: #993073).
  * d/watch: migrate to github repository (closes: #993072).
  * d/upstream/signing-key.asc: discard (see d/watch update).
  * d/upstream/metadata: update.
  * d/control: introduce and set to no.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 May 2022 18:38:38 +0000

=== debian/control ===
Source: recommonmark
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: help2man,
                     dh-sequence-python3,
                     python3-all,
                     python3-commonmark,
                     python3-docutils,
                     python3-setuptools,
                     python3-sphinx
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/recommonmark
Vcs-Git: https://salsa.debian.org/python-team/packages/recommonmark.git
Homepage: https://github.com/readthedocs/recommonmark
Rules-Requires-Root: no

Package: python3-recommonmark
Architecture: all
Depends: python3-commonmark,
         ${misc:Depends},
         ${python3:Depends}
Description: CommonMark utility for Docutils and Sphinx projects -- Python 3
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This package installs the library for Python 3.

Package: recommonmark-scripts
Architecture: all
Section: text
Depends: python3-recommonmark (= ${binary:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: CommonMark utility for Docutils and Sphinx projects -- scripts
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This package installs various scripts to convert markdown to other formats
 (e.g. HTML, man, LaTeX).

Package: python-recommonmark-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: recommonmark-scripts (= ${binary:Version}),
            texlive-latex-base,
            texlive-latex-recommended,
            texlive-fonts-recommended,
            texlive-xetex
Description: CommonMark utility for Docutils and Sphinx projects -- doc
 The recommonmark Python module allows ones to write CommonMark inside of
 Docutils and Sphinx projects.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_compress-indep:
 	dh_compress -Xexamples
@@ -48,7 +48,6 @@
 			-I debian/man/cm2a.h2m \
 			-n $(cm2$(1)_DESCRIPTION) \
 			-o {destdir}/usr/share/man/man1/cm2$(1).1 \
-		debian/adhoc/wrappers/cm2$(1) ; \
-	sed -i -e 's|possibile|possible|g' {destdir}/usr/share/man/man1/cm2$(1).1
+		debian/adhoc/wrappers/cm2$(1)
 
 ##################################################################################

=== debian/tests/control ===
--- 
+++ 
@@ -3,5 +3,5 @@
 Restrictions: allow-stderr
 
 Tests: compose-examples
-Depends: recommonmark-scripts, python-recommonmark-doc, texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-xetex
+Depends: recommonmark-scripts, python-recommonmark-doc, texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-xetex, lmodern
 Restrictions: allow-stderr
